#ifndef HYDRANGEA_CARD_H
#define HYDRANGEA_CARD_H

#include "node.h"
#include "sprite.h"

typedef enum CardSuite {
    HEART = 0,
    CLUB,
    SPADE,
    DIAMOND,
} CARD_SUITE_t;

enum CardSpecialValue {
    ACE = 1,
    JACK = 11,
    QUEEN = 12,
    KING = 13,
};

class Card : public Node {
public:
    Card();

    ~Card();

    void flip();

    void update() override;

    void pollInputs() override;

    void free() override;

private:
    CARD_SUITE_t suite;
    int value;
    Sprite *face = new Sprite("./resources/img/cards/c11.png");
    Sprite *back = new Sprite("./resources/img/cards/cardback.png");
};

#endif //HYDRANGEA_CARD_H
